glab(1)

NAME
glab-deploy-key-add - Add a deploy key to a GitLab project.

SYNOPSIS
glab deploy-key add [key-file] [flags]

DESCRIPTION
Creates a new deploy key.

Requires the '--title' flag.

OPTIONS
-c, --can-push[=false]
    If true, deploy keys can be used for pushing code to the repository.

-e, --expires-at=""
    The expiration date of the deploy key, using the ISO-8601 format: YYYY-MM-DDTHH:MM:SSZ.

-t, --title=""
    New deploy key's title.

OPTIONS INHERITED FROM PARENT COMMANDS
--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Read deploy key from stdin and upload.
    $ glab deploy-key add -t "my title"
    # Read deploy key from specified key file and upload
    $ cat ~/.ssh/id_ed25519.pub | glab deploy-key add --title='test' -
    # Read deploy key from specified key file, upload and set "can push" attribute.
    $ glab deploy-key add ~/.ssh/id_ed25519.pub -t "my title" --can-push true

SEE ALSO
glab-deploy-key(1)